org.jbpm.process.audit.command

## Class AuditProcessInstanceLogQueryCommand

- java.lang.Object
- - org.jbpm.process.audit.command.AuditCommand<List<org.kie.api.runtime.manager.audit.ProcessInstanceLog>>
  - - org.jbpm.process.audit.command.AuditProcessInstanceLogQueryCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.ExecutableCommand<List<org.kie.api.runtime.manager.audit.ProcessInstanceLog>>, org.kie.api.command.Command<List<org.kie.api.runtime.manager.audit.ProcessInstanceLog>>

      public class AuditProcessInstanceLogQueryCommand
      extends AuditCommand<List<org.kie.api.runtime.manager.audit.ProcessInstanceLog>>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.audit.command.AuditCommand

      `auditLogService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuditProcessInstanceLogQueryCommand()`
    `AuditProcessInstanceLogQueryCommand(org.jbpm.query.jpa.data.QueryWhere queryWhere)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.kie.api.runtime.manager.audit.ProcessInstanceLog>` | `execute(org.kie.api.runtime.Context context)`

    - ### Methods inherited from class org.jbpm.process.audit.command.AuditCommand

      `setAuditLogService, setLogEnvironment`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.command.impl.ExecutableCommand

      `canRunInTransaction`

- - ### Constructor Detail

    - #### AuditProcessInstanceLogQueryCommand

          public AuditProcessInstanceLogQueryCommand()

    - #### AuditProcessInstanceLogQueryCommand

          public AuditProcessInstanceLogQueryCommand(org.jbpm.query.jpa.data.QueryWhere queryWhere)

  - ### Method Detail

    - #### execute

          public List<org.kie.api.runtime.manager.audit.ProcessInstanceLog> execute(org.kie.api.runtime.Context context)

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.